Subject: [Eligibility-discuss] Fwd: I-D Action: draft-carpenter-eligibility-expand-05.txt

From: Brian E Carpenter <[email-masked]>
Date: Wed, 9 Sep 2020 15:56:27 +1200

Hi,

This version implements review comments, including eliminating the previous
Path 3 that actually served no purpose (so the old Path 4 is now Path 3).

There is one open question that we need to resolve, in section 4.1.

   Brian + Stephen

-------- Forwarded Message --------
Subject: I-D Action: draft-carpenter-eligibility-expand-05.txt
Date: Tue, 08 Sep 2020 20:46:29 -0700
From: [email-masked]
Reply-To: [email-masked]
To: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Additional Criteria for Nominating Committee Eligibility
        Authors         : Brian E. Carpenter
                          Stephen Farrell
	Filename        : draft-carpenter-eligibility-expand-05.txt
	Pages           : 9
	Date            : 2020-09-08

Abstract:
   This document defines a process experiment under RFC 3933 that
   temporarily updates the criteria for qualifying volunteers to
   participate in the IETF Nominating Committee.  It therefore also
   updates the criteria for qualifying signatories to a community recall
   petition.  The purpose is to make the criteria more flexible in view
   of increasing remote participation in the IETF and a reduction in
   face-to-face meetings.  The experiment is of fixed duration and will
   apply to one, or at most two, Nominating Committee cycles.  This
   document temporarily varies the rules in RFC 8713.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-carpenter-eligibility-expand/

There is also a HTML versions available at:
https://www.ietf.org/id/draft-carpenter-eligibility-expand-05.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-carpenter-eligibility-expand-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Bron Gondwana" <[email-masked]>
Date: Wed, 09 Sep 2020 14:27:33 +1000

My opinion on section 4.1 is this:

1) we should not include remote participants for IETF106 and earlier.  They did not have an expectation of eligibility.  I hold this very weakly and would be easily persuaded to change my mind!
2) we should include remote participants for IETF110 (and any future IETFs if this document is renewed) regardless of whether there is a face-to-face component.
3) we MUST have some remote participation controls, most likely with a fee waiver program that requires a degree of assertion that you're not a sock puppet.  With this in place, remote attendance is a reasonable path.

I would change the wording of 4, path 1 to be:

   *  Path 1: The person has registered for and attended 3 out of the
      last 5 IETF meetings.  For IETF107 and later, online
      registration and attendance counts as attendance.  For the
      2021-2022 Nominating Committee, the meetings concerned will be
      IETF 106, 107, 108, 109, and 110.

Cheers,

Bron.

On Wed, Sep 9, 2020, at 13:56, Brian E Carpenter wrote:
> -- 
> Eligibility-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eligibility-discuss
> 

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Wed, 09 Sep 2020 11:05:31 -0400

I have read the new document.  Thank you for the updates.
I am happy with the direction we are going.

Bron Gondwana <[email-masked]> wrote:
    > 1) we should not include remote participants for IETF106 and earlier.
    > They did not have an expectation of eligibility.  I hold this very
    > weakly and would be easily persuaded to change my mind!

I was going to post the same thing.

    > 2) we should include remote participants for IETF110 (and any future
    > IETFs if this document is renewed) regardless of whether there is a
    > face-to-face component.

I can live with this, but I believe that this is what the other paths are for.
to be clear: I don't think that we should count remote attendees when there
is a face-to-face meeting.
I also don't think that we should count virtual meetings beyond IETF110, so I
disagree with your rewording of path 1, btw.

I think that it is better to deal with the other paths properly, rather than
mutate the 3-of-5 rule to include remote participation.

Note that I say this as a major detractor of the 3-of-5 in-person rule!
I want to keep it as it is, even though I have often disliked it.

    > 3) we MUST have some remote participation controls, most likely with a
    > fee waiver program that requires a degree of assertion that you're not
    > a sock puppet.  With this in place, remote attendance is a reasonable
    > path.

The simplest non-sock puppet check I can see would involve:
  1) having a DT account.

The next hurdle I might include would be:
  2) is on at least one @ietf.org list.

Finally, we could do:
  3) has posted an ID of any kind. (even trivial)
  {Maybe we should have a badge system... like stackexchange...}

(I note that the DT has all this information already)

    > I would change the wording of 4, path 1 to be:

I would suggest we change the "names" of the paths to not be numbers.
I can't remember which is which, and now we've renumbered them.

What I'd like to do is keep the criteria in path 1 as is.

As I wrote in the other email, I'd like to include an appendix in the
document about possible future actions.  Two of those would be:

a) that future (post IETF110) all-virtual meetings will count towards 3-of-5 (path 1)
   rule.
   {We may want to provide an out for the IESG to declare this on
   a case by case basis}

b) that future face-to-face meetings will include counting remote attendees
   as if they were physically present.

---

Now, I have long advocated having a reasonably high barrier to becoming
nomcom eligible (and I'm okay-ish with just path 1, btw), but having a
*different* (lower) barrier to maintaining nomcom eligibility.
The response to this suggestion has been lukewarm, but that was in the
pre-pandemic days, and I found it hard to understand motivation for
disagreement.  (I could jump to conclusions if you unicast me)

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 10 Sep 2020 09:59:09 +1200

> I was going to post the same thing.

That's also my personal opinion.

> is a face-to-face meeting.

So they are second-class participants?

> disagree with your rewording of path 1, btw.

Huh?

Firstly, what happens in 2022 depends on the evaluation of the experiment
in 2021 (see "2.  Term and Evaluation of the Experiment"), so nothing is
fixed beyond IETF110. 

Second, what if the IETF decides to reduce its f2f meeting frequency
permanently? Surely we'll count remote attendance then?

> mutate the 3-of-5 rule to include remote participation.

If you look at the data snapshot, 375 people out of 1538 are eligible
only because of attendance. What you say would exclude those 375. Maybe
that's what we want, but it's a long term issue, out of scope for the
proposed experiment.
 
> (I note that the DT has all this information already)

Interesting but I don't see how it would change the draft which
is for a 1 or 2 year experiment.

> I can't remember which is which, and now we've renumbered them.

How about Path A for attendance (replacing Path 1), Path W
for WG Chair or Secretary (replacing Path 2), and Path R
for RFC author (replacing Path 3)?
> What I'd like to do is keep the criteria in path 1 as is.

There is still an ambiguity.

   Brian

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 9 Sep 2020 23:17:07 +0100

> So they are second-class participants?

To the extent that the opinion of an editor matters,
I strongly agree with Brian's implicit assertion that
remote attendees are participants and should "count"
regardless of the existence of a f2f meeting. There
absolutely is scope for subtlety as to how we do the
mechanics of counting, (hence this draft), but those
people are people who must count and be counted.

S.

---

From: Michael Richardson <[email-masked]>
Date: Wed, 09 Sep 2020 18:23:34 -0400

> So they are second-class participants?

Yes, they are.  Given that they aren't WG chairs, and haven't published an
RFC, then they might not really have good enough insights into the culture
and operation of the IETF.
That's also part of my reasoning for "becoming eligible" vs "remaining eligible",
but I acknowledge that is too big a step for this effort.

    > Huh?

The rewording means that virtual meetings beyond 110 would not automatically count.

    > permanently? Surely we'll count remote attendance then?

Maybe.  That's why I'd like to outline what comes next.

    > that's what we want, but it's a long term issue, out of scope for the

Yes, but how many volunteered?  That's the number that we would be excluding.

    > is for a 1 or 2 year experiment.

Well, this is in response to having "remote participation controls".
I'm suggesting some that I would find acceptable.

    > for RFC author (replacing Path 3)?

I'm okay with this.

    mcr> Now, I have long advocated having a reasonably high barrier to becoming
    mcr> nomcom eligible (and I'm okay-ish with just path 1, btw), but having a
    mcr> *different* (lower) barrier to maintaining nomcom eligibility.
    mcr> The response to this suggestion has been lukewarm, but that was in the
    mcr> pre-pandemic days, and I found it hard to understand motivation for
    mcr> disagreement.  (I could jump to conclusions if you unicast me)

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 10 Sep 2020 00:40:41 +0100

On 09/09/2020 23:23, Michael Richardson wrote:
> Yes, they are.  

I very strongly disagree. Nobody should be considered or
called second-class.

> Given that they aren't WG chairs, and haven't published an

Terming that second-class seems pretty tin-eared to me. I
guess it might be that the term is more or less loaded for
some of us.

But I also disagree with the logic. Just because there is a
f2f happening that does not mean that a person remote for
that is any less experienced. Thanks to the vicissitudes of
life, I was remote for two meetings whilst an AD.

Cheers,
S.

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 10 Sep 2020 12:05:22 +1200

On 10-Sep-20 10:23, Michael Richardson wrote:
...
> Yes, but how many volunteered?  That's the number that we would be excluding.

29 out of 135 actual volunteers, with the historical data.
That's 21%, which is commensurate with 375/1538 = 24%.

So, 20-25% of the actual and potential volunteers have no
recent experience of running a WG or authoring an RFC. Is that
so bad? If it had been 50%, I would have been worried.

    Brian

---

From: Eric Rescorla <[email-masked]>
Date: Wed, 9 Sep 2020 19:42:30 -0700

> is a face-to-face meeting.

I agree with Michael. The reason we are making this adjustment is because
we are not having in-person meetings. If we have in-person meetings again,
we can of course decide to include remote people, but that's not a decision
we should take now.

-Ekr

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 10 Sep 2020 11:12:33 +0100

Hi Eric,

I agree with Michael. The reason we are making this adjustment is because we are not having in-person meetings. If we have in-person meetings again, we can of course decide to include remote people, but that's not a decision we should take now.

[AF] Well, I guess I disagree with Michael once, and you twice.

I am fine with not including remote attendees at previous in-person meetings, but we have to handle future meetings.

The question about counting remote attendees when there is a face-to-face meeting is significantly about enfranchisement and also about the future direction of the IETF. It is, IMHO, a very important question to consider if the IETF is to continue to claim to be an open and accessible body.

Whether *this* document needs to consider in-person meetings depends on whether there is any prospect of there being an in-person meeting during the period of this experiment. I think this remains possible (if unlikely). It is certain that if there is an in-person meeting in the near future, attendance will be significantly limited – many people will not be allowed to travel depending on governmental rules, company policies, and insurance limitations; others will not want to travel for their own safety. In that case, we will have a distinctly partial face-to-face meeting and we have to decide (now) how those who don’t attend in person will be treated.

Since this experiment is of limited duration and the number of people who might be included by this measure is small, I wonder what the risks are that predicate against including them?

Thanks,

Adrian

---

From: "Bron Gondwana" <[email-masked]>
Date: Thu, 10 Sep 2020 21:12:10 +1000

> I am fine with not including remote attendees at previous in-person meetings, but we have to handle future meetings. 

Can I propose the following:

Remote attendance will be included for IETF110 regardless of whether there is an in-person meeting, as we don't expect that everyone will be able to travel.

Changing the treatment of meetings after IETF110 is not done by this document - we need to publish a new document anyway in order to extend this experiment, and that new document could choose whatever treatment it likes.

So - this means that ONLY IETF109 and IETF110 could be sockpuppetted, and that's not enough for eligibility by itself.

Cheers,

Bron.

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 10 Sep 2020 12:26:45 +0100

Hi Bron,

Thanks for your proposal (which has, I think, been on the table for a while). I would accept it.

Should we have a separate thread about the whole sock-puppet thing? Or shall we deal with it here?

You are suggesting that people might establish false Datatracker accounts, register to attend remotely, pay for or apply for a bursary for attendance for three out of five meetings, put their names forward to be on NomCom, get selected, and then what? Will the sock-puppet show up to NomCom calls and meetings?

Best,

Adrian 

From: Bron Gondwana <[email-masked]> 
Sent: 10 September 2020 12:12
To: Adrian Farrel <[email-masked]>; Eric Rescorla <[email-masked]>; 'Michael Richardson' <[email-masked]>
Cc: [email-masked]
Subject: Re: [Eligibility-discuss] Fwd: I-D Action: draft-carpenter-eligibility-expand-05.txt

Hi Eric,

 

Cheers,

Bron.

--

  [email-masked] <mailto:[email-masked]>

---

From: "Bron Gondwana" <[email-masked]>
Date: Thu, 10 Sep 2020 21:46:38 +1000

I believe the theory is that multiple "identities" would resolve down to one "actor" when selected, who would then show up in person and press their party line.  It's quite a complex process, but it does appear to be the only way that one would branch-stack this process.  And of course, you'd have to find someone willing to play the part of a false identity.

Bron.

> *From:* Bron Gondwana <[email-masked]> 
> *Sent:* 10 September 2020 12:12
> *To:* Adrian Farrel <[email-masked]>; Eric Rescorla <[email-masked]>; 'Michael Richardson' <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* Re: [Eligibility-discuss] Fwd: I-D Action: draft-carpenter-eligibility-expand-05.txt

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 10 Sep 2020 12:51:45 +0100

OK. I understand the concern, but I cannot believe it is a mainstream worry.

A

Sent: 10 September 2020 12:47

Bron.

Hi Bron,

Best,

Adrian

From: Bron Gondwana <[email-masked] <mailto:[email-masked]> > 
Sent: 10 September 2020 12:12
To: Adrian Farrel <[email-masked] <mailto:[email-masked]> >; Eric Rescorla <[email-masked] <mailto:[email-masked]> >; 'Michael Richardson' <[email-masked] <mailto:[email-masked]> >
Cc: [email-masked] <mailto:[email-masked]> 
Subject: Re: [Eligibility-discuss] Fwd: I-D Action: draft-carpenter-eligibility-expand-05.txt

Hi Eric,

 

Cheers,

Bron.

--

 

--

---

From: "Bron Gondwana" <[email-masked]>
Date: Thu, 10 Sep 2020 22:09:57 +1000

No, but if you're a company with 10,000 employees and the cost of signing up is minimal and they don't have to travel, you could pretty easily guarantee two seats on the Nomcom.

Anyway - we're getting into the weeds here.  This is not a risk if we restrict it to just IETF110, and why not - the experiment doesn't run longer anyway.

Bron.

> *Sent:* 10 September 2020 12:47

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 10 Sep 2020 10:51:57 -0400

I thought that the point of the other paths in this document was to get 
around  trying to define how to qualify remote attendees for 
face-to-face meetings.   (Yes, for meetings that are purely remote, 
remtoe participation should count.)

It is not that remote participants are second class citizens.  It is 
that in the mixed environment trying to figure out how to qualify them 
correctly by direct means seemed to hard.  Heck, if it were easy and 
natural we wouldn't need the other paths.

Yours,
Joel

On 9/10/2020 7:12 AM, Bron Gondwana wrote:
>>     Bron Gondwana <[email-masked]
>>     <mailto:[email-masked]>> wrote:
>>         > 1) we should not include remote participants for IETF106 and
>>     earlier.
>>         > They did not have an expectation of eligibility.  I hold
>>     this very
>>         > weakly and would be easily persuaded to change my mind!
>>
>>         > 2) we should include remote participants for IETF110 (and
>>     any future
>>         > IETFs if this document is renewed) regardless of whether
>>     there is a
>>         > face-to-face component.
>>
>> I agree with Michael. The reason we are making this adjustment is 
>> because we are not having in-person meetings. If we have in-person 
>> meetings again, we can of course decide to include remote people, but 
>> that's not a decision we should take now.
>>
>>
>> I am fine with not including remote attendees at previous in-person 
>> meetings, but we have to handle future meetings.
>>
> 
> Remote attendance will be included for IETF110 regardless of whether 
> there is an in-person meeting, as we don't expect that everyone will be 
> able to travel.
> 
> Changing the treatment of meetings after IETF110 is not done by this 
> document - we need to publish a new document anyway in order to extend 
> this experiment, and that new document could choose whatever treatment 
> it likes.
> 
> So - this means that ONLY IETF109 and IETF110 could be sockpuppetted, 
> and that's not enough for eligibility by itself.
> 
> Cheers,
> 
> Bron.
> 
> 
> --

---

From: Michael Richardson <[email-masked]>
Date: Thu, 10 Sep 2020 11:25:35 -0400

> remtoe participation should count.)

Exactly.  And then we have virtual interim meetings.  They should count,
right?

But, a major point of the original 3-in-5 in-person counting was about
understanding culture, and that doesn't get communicated that well online.

    > natural we wouldn't need the other paths.

+1

Bron's IETF109/IETF110 compromise is fine with me.

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 10 Sep 2020 18:07:58 +0000

*   OK. I understand the concern, but I cannot believe it is a mainstream worry.

I also understand it, and I am not concerned.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 11 Sep 2020 09:17:16 +1200

> Anyway - we're getting into the weeds here.  This is not a risk if we restrict it to just IETF110, and why not - the experiment doesn't run longer anyway.

Well, it could do, since one option in the draft is for the IESG to recommend running it for a second year. But it's intentionally not a long-term decision; that's why it's called an experiment.

So (author hat on) I'm reading this as a suggested change: "Remote attendance will be included for IETF110 regardless of whether there is an in-person meeting, as we don't expect that everyone will be able to travel."

   Brian

>> *From:*Bron Gondwana <[email-masked]>
>>     *From:*Bron Gondwana <[email-masked] <mailto:[email-masked]>>
>>     *To:* Adrian Farrel <[email-masked] <mailto:[email-masked]>>; Eric Rescorla <[email-masked] <mailto:[email-masked]>>; 'Michael Richardson' <[email-masked] <mailto:[email-masked]>>
>>     *Cc:* [email-masked] <mailto:[email-masked]>
>>             Bron Gondwana <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>                 > 1) we should not include remote participants for IETF106 and earlier.
>>
>>                 > They did not have an expectation of eligibility.  I hold this very
>>
>>                 > 2) we should include remote participants for IETF110 (and any future
>>
>>                 > IETFs if this document is renewed) regardless of whether there is a
>>

---

From: "Bron Gondwana" <[email-masked]>
Date: Thu, 17 Sep 2020 22:28:05 +1000

> So (author hat on) I'm reading this as a suggested change: "Remote attendance will be included for IETF110 regardless of whether there is an in-person meeting, as we don't expect that everyone will…

It turns out that sometimes procrastination can make problems go away :p  It appears so likely that IETF110 will be remote that this whole discussion in moot anyway.

Bron.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 18 Sep 2020 08:43:45 +1200

> It turns out that sometimes procrastination can make problems go away :p  It appears so likely that IETF110 will be remote that this whole discussion in moot anyway.

Yes. I'd still like to make the text future-proof in case we decided to run the same
experiment for a second year. In any case, perhaps we can hold off on a revised
I-D until the IETF110 decision is confirmed.

  Brian